from dask.distributed import Client
import joblib

from sklearn.datasets import load_digits
from sklearn.manifold import MDS

# client = Client(processes=False)
# client = Client('35.193.138.170:8786')  # Google Cloud
client = Client('169.237.10.57:8786') 

X, _ = load_digits(return_X_y=True)

with joblib.parallel_backend('dask'):
  embedding = MDS(n_components=2, n_jobs=-1)
  X_transformed = embedding.fit_transform(X)

print (X_transformed.shape)